# Description Display control points for all kinds of objects (curves, surfaces, solids, etc). > [!info] Author and license > **Script by MLAV.LAND, licensed under the GNU GPL 3 License**. # Code ```python import rhinoscriptsyntax as rs def AllPointsOn(): arrObjects = rs.GetObjects("Select objects for control point display", 671200060, True, True, False) if arrObjects is None: return rs.EnableRedraw(False) for obj in arrObjects: rs.UnselectAllObjects() rs.SelectObject(obj) if rs.IsPolysurface(obj): rs.Command("_noecho _SolidPtOn", False) else: rs.Command("_noecho _PointsOn", False) rs.UnselectAllObjects() rs.EnableRedraw(True) AllPointsOn() ```